Bug 75907 - Incorrect dependency shown - initscripts not bypassed
Incorrect dependency shown - initscripts not bypassed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-14 15:57 EDT by Marco F. Duarte
Modified: 2015-01-07 19:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 17:03:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco F. Duarte 2002-10-14 15:57:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
The up2date program claims that the initscripts package is to be bypassed and 
such configuration has not been made.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. up2date -u

Actual Results:  Dependency reported

Expected Results:  No dependency; up2date should update quota package

Additional info:

[root@mmsplab /root]# up2date -u

Retrieving list of all available packages...
########################################
########################################

Removing installed packages from list of updates...
########################################

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Getting headers for skipped packages...
########################################
The following Packages were marked to be skipped by your configuration:

Name                                    Version        Rel  Reason
-------------------------------------------------------------------------------
initscripts                             5.84.1         1    Config modified


Testing package set / solving RPM inter-dependencies...
There was a package dependency problem.  The message was:

Unresolvable chain of dependencies:
quota-3.01pre9-0.7.1                     requires initscripts >= 5.84

       -k, --packagedir
[root@mmsplab /root]# up2date-config
0.  
storageDir         /var/spool/up2date                                       
1.  headerCacheSize    
40                                                       
2.  
httpProxy                                                                   
3.  debug              
No                                                       
4.  useGPG             
Yes                                                      
5.  networkRetries     
5                                                        
6.  removeSkipList     
[]                                                       
7.  retrieveOnly       
No                                                       
8.  keepAfterInstall   
No                                                       
9.  enableProxy        
No                                                       
10. gpgKeyRing         /etc/sysconfig/rhn/up2date-
keyring.gpg                   
11. 
proxyUser                                                                   
12. 
proxyPassword                                                               
13. headerFetchCount   
10                                                       
14. 
versionOverride                                                             
15. useNoSSLForPackage 
No                                                       
16. enableProxyAuth    
No                                                       
17. noSSLServerURL     
http://www.rhns.redhat.com/XMLRPC                        
18. noReplaceConfig    
Yes                                                      
19. sslCACert          /usr/share/rhn/RHNS-CA-
CERT                              
20. noBootLoader       
No                                                       
21. 
systemIdPath       /etc/sysconfig/rhn/systemid                              
22. serverURL          
https://www.rhns.redhat.com/XMLRPC                       
23. pkgSkipList        
[]                                                       
24. adminAddress       
['root@localhost']                                       
25. forceInstall       
No                                                       
26. fileSkipList       
[]                                                       
27. retrieveSource     
No
Comment 1 Adrian Likins 2002-10-18 17:16:13 EDT
whats the output of:
      rpm -V initscripts

Sounds like possibly something changed one of the config files in the initscripts
package.

If this is the case, and you still want to update initscripts, you can issue
the "-f" flag or toggle the "noReplaceConfig" config file option to let you
continue and install the package.
Comment 2 Adrian Likins 2004-04-05 17:03:04 EDT
No response to needinfo.
Havent seen similar issues with current code, closing.

Note You need to log in before you can comment on or make changes to this bug.